#ifndef ISMAS_CLIENT_H_INCLUDED
#define ISMAS_CLIENT_H_INCLUDED

#include <QObject>
#include <QString>

class IsmasClient : public QObject {
    Q_OBJECT

public:
    QString updateNewsToIsmas(char const *event,
                              int percent,
                              int resultCode,
                              char const *step,
                              char const *step_result,
                              char const *version);

    QString updateOfPSAActivated();
    QString updateOfPSASucceeded();
    QString updateOfPSASendVersion(QString const &tariffVersion,
                                   QString const &tariffProject,
                                   int tariffZone,
                                   QString const &tariffInfo,
                                   QString const &tariffLoadTime,
                                   QString const &linuxVersion,
                                   QString const &cpuSerial,
                                   QString const &deviceControllerVersion,
                                   QString const &deviceControllerGitBlob,
                                   QString const &deviceControllerGitLastCommit,
                                   QString const &raucVersion,
                                   QString const &opkgVersion,
                                   QString const &atbQTVersion,
                                   QString const &atbQTGitDescribe,
                                   QString const &deviceControllerPluginVersion,
                                   QString const &ingenicoISelfCCPluginVersion,
                                   QString const &mobilisisCalculatePricePluginVersion,
                                   QString const &mobilisisCalculatePriceConfigUiVersion,
                                   QString const &prmCalculatePricePluginVersion,
                                   QString const &prmCalculatePriceConfigUiPluginVersion,
                                   QString const &tcpZVTPluginVersion);

    QString setUpdatesAvailable();
    bool checkForAvailableUpdates();
};

#endif // ISMAS_CLIENT_H_INCLUDED
